=== debian/changelog ===
cbmc (5.4-3) unstable; urgency=medium

  * Disable enum8 test due to limitations in C++ front-end. Thanks Lucas for
    reporting (Closes: #831166)

 -- Michael Tautschnig <mt@debian.org>  Thu, 14 Jul 2016 09:45:43 +0100

cbmc (5.4-2) unstable; urgency=low

  * Install goto-analyzer
  * Updated Standards version to 3.9.8 (no changes required)
  * Include recent big-endian patches to make mips(el), powerpc, s390x happy

 -- Michael Tautschnig <mt@debian.org>  Mon, 09 May 2016 09:07:09 +0100

cbmc (5.4-1) unstable; urgency=low

  * New upstream release
  * Builds using GCC 6 (Closes: #811603)
  * Changed watchfile to monitor github
  * Fully enable hardening
  * Updated Standards version to 3.9.7 (no changes required)

 -- Michael Tautschnig <mt@debian.org>  Fri, 22 Apr 2016 11:03:08 +0100
