## cbmc 5.5

=== regression/Makefile ===
DIRS = ansi-c cbmc cpp 

test:
	$(foreach var,$(DIRS), $(MAKE) -C $(var) test || exit 1;)
