=== src/util/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
       mp_arith.cpp namespace.cpp parse_options.cpp rename.cpp \
       replace_expr.cpp threeval.cpp typecheck.cpp graph.cpp \
       type.cpp cnf_simplify.cpp pointer_predicates.cpp merge_irep.cpp \
-      parser.cpp replace_symbol.cpp json.cpp \
+      parser.cpp replace_symbol.cpp json.cpp get_base_name.cpp \
       simplify_expr.cpp simplify_expr_floatbv.cpp simplify_expr_int.cpp \
       simplify_expr_array.cpp simplify_expr_struct.cpp \
       simplify_expr_boolean.cpp simplify_expr_pointer.cpp \
@@ -21,7 +21,7 @@
       bv_arithmetic.cpp tempdir.cpp tempfile.cpp timer.cpp unicode.cpp \
       irep_ids.cpp byte_operators.cpp string2int.cpp file_util.cpp \
       memory_info.cpp pipe_stream.cpp irep_hash.cpp endianness_map.cpp \
-      vtable.cpp ssa_expr.cpp
+      ssa_expr.cpp json_expr.cpp
 
 INCLUDES= -I ..
