=== debian/changelog ===
cbmc (5.5-1) unstable; urgency=low

  * New upstream release

 -- Michael Tautschnig <mt@debian.org>  Sun, 16 Oct 2016 13:10:20 +0100
