=== src/Makefile ===
--- 
+++ 
@@ -93,7 +93,9 @@
 
 libzip-download:
 	@echo "Downloading libzip 1.1.2"
-	@lwp-download http://www.nih.at/libzip/libzip-1.1.2.tar.gz
+	# The below wants SSL
+	#@lwp-download http://www.nih.at/libzip/libzip-1.1.2.tar.gz
+	@lwp-download http://http.debian.net/debian/pool/main/libz/libzip/libzip_1.1.2.orig.tar.gz
 	@tar xfz libzip-1.1.2.tar.gz
 	@rm -Rf ../libzip
 	@mv libzip-1.1.2 ../libzip
