=== regression/strings/Makefile ===

test:
	../test.pl -c ../../../src/cbmc/cbmc
