=== debian/changelog ===
cbmc (5.6-1) unstable; urgency=low

  * New upstream release
  * Disable Pointer_array5 test due to endianness bugs (Closes: #844776)

 -- Michael Tautschnig <mt@debian.org>  Sun, 04 Dec 2016 09:18:48 +0000
