=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 		MINISAT2=/usr/include/minisat \
 		LINKFLAGS=$(shell dpkg-buildflags --get LDFLAGS) \
 		LIBZIPINC=/usr \
-		LIBZIPLIB=/usr/lib
+		LIBZIPLIB="-lzip -lminisat"
 
 override_dh_auto_test:
 	cd regression/ansi-c ; \
@@ -49,10 +49,3 @@
 			exit 1 ; \
 		fi
 
-DEB_VERS=5.4
-get-orig-source:
-	svn export http://svn.cprover.org/svn/cbmc/releases/cbmc-$(DEB_VERS)
-	tar cf cbmc_$(DEB_VERS).orig.tar cbmc-$(DEB_VERS)
-	rm -rf cbmc-$(DEB_VERS)
-	gzip -9n cbmc_$(DEB_VERS).orig.tar
-
